org.red5.server.net.rtmp

## Class RTMPMinaTransport

- java.lang.Object
- - org.red5.server.net.rtmp.RTMPMinaTransport

All Implemented Interfaces:
  RTMPMinaTransportMXBean

    public class RTMPMinaTransport
    extends Object
    implements RTMPMinaTransportMXBean

Transport setup class configures socket acceptor and thread pools for RTMP in Mina.
Note: This code originates from AsyncWeb. Originally modified by Luke Hubbard.

Author:
  Luke Hubbard, Paul Gregoire

### Field Summary

Fields
`protected org.apache.mina.transport.socket.SocketAcceptor` `acceptor`
`protected Set<SocketAddress>` `addresses`
`protected boolean` `enableMinaMonitor`
`protected org.apache.mina.core.service.IoHandlerAdapter` `ioHandler`
`protected int` `ioThreads`
`protected int` `minaPollInterval`
`protected ObjectName` `serviceManagerObjectName` MBean object name used for de/registration purposes.
`protected org.apache.mina.core.service.IoServiceStatistics` `stats`
`protected boolean` `tcpNoDelay`
`protected boolean` `useHeapBuffers`

### Constructor Summary

Constructors
Constructor and Description
`RTMPMinaTransport()`

### Method Summary

Methods
`void` `setConnector(InetSocketAddress connector)`
`void` `setConnectors(List<InetSocketAddress> connectors)`
`void` `setEnableMinaMonitor(boolean enableMinaMonitor)`
`void` `setIoHandler(org.apache.mina.core.service.IoHandlerAdapter rtmpIOHandler)`
`void` `setIoThreads(int ioThreads)`
`void` `setMinaPollInterval(int minaPollInterval)`
`void` `setTcpNoDelay(boolean tcpNoDelay)`
`void` `setUseHeapBuffers(boolean useHeapBuffers)`
`void` `start()`
`void` `stop()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### acceptor

    protected org.apache.mina.transport.socket.SocketAcceptor acceptor

#### addresses

    protected Set<SocketAddress> addresses

#### ioHandler

    protected org.apache.mina.core.service.IoHandlerAdapter ioHandler

#### stats

    protected org.apache.mina.core.service.IoServiceStatistics stats

#### ioThreads

    protected int ioThreads

#### serviceManagerObjectName

    protected ObjectName serviceManagerObjectName

MBean object name used for de/registration purposes.

#### enableMinaMonitor

    protected boolean enableMinaMonitor

#### minaPollInterval

    protected int minaPollInterval

#### tcpNoDelay

    protected boolean tcpNoDelay

#### useHeapBuffers

    protected boolean useHeapBuffers

### Constructor Detail

#### RTMPMinaTransport

    public RTMPMinaTransport()

### Method Detail

#### start

    public void start()
               throws Exception

Specified by:
  `start` in interface `RTMPMinaTransportMXBean`
Throws:
  `Exception`

#### stop

    public void stop()

Specified by:
  `stop` in interface `RTMPMinaTransportMXBean`

#### setConnector

    public void setConnector(InetSocketAddress connector)

#### setConnectors

    public void setConnectors(List<InetSocketAddress> connectors)

#### setIoHandler

    public void setIoHandler(org.apache.mina.core.service.IoHandlerAdapter rtmpIOHandler)

#### setIoThreads

    public void setIoThreads(int ioThreads)

Specified by:
  `setIoThreads` in interface `RTMPMinaTransportMXBean`

#### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

Specified by:
  `setTcpNoDelay` in interface `RTMPMinaTransportMXBean`

#### setUseHeapBuffers

    public void setUseHeapBuffers(boolean useHeapBuffers)

Specified by:
  `setUseHeapBuffers` in interface `RTMPMinaTransportMXBean`

#### setEnableMinaMonitor

    public void setEnableMinaMonitor(boolean enableMinaMonitor)

Parameters:
  `enableMinaMonitor` - the enableMinaMonitor to set

#### setMinaPollInterval

    public void setMinaPollInterval(int minaPollInterval)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`